Package com.google.android.exoplayer2.extractor

## Class TrueHdSampleRechunker

- java.lang.Object
- - com.google.android.exoplayer2.extractor.TrueHdSampleRechunker

-     public final class TrueHdSampleRechunker
      extends Object

  Rechunks TrueHD sample data into groups of `Ac3Util.TRUEHD_RECHUNK_SAMPLE_COUNT` samples.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TrueHdSampleRechunker()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `outputPendingSampleMetadata​(TrackOutput trackOutput, TrackOutput.CryptoData cryptoData)` |
    `void` | `reset()` |
    `void` | `sampleMetadata​(TrackOutput trackOutput, long timeUs, @com.google.android.exoplayer2.C.BufferFlags int flags, int size, int offset, TrackOutput.CryptoData cryptoData)` |
    `void` | `startSample​(ExtractorInput input)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrueHdSampleRechunker

          public TrueHdSampleRechunker()

  - ### Method Detail

    - #### reset

          public void reset()

    - #### startSample

          public void startSample​(ExtractorInput input)
                           throws IOException

      Throws:
        `IOException`

    - #### sampleMetadata

          public void sampleMetadata​(TrackOutput trackOutput,
                                     long timeUs,
                                     @com.google.android.exoplayer2.C.BufferFlags int flags,
                                     int size,
                                     int offset,
                                     @Nullable
                                     TrackOutput.CryptoData cryptoData)

    - #### outputPendingSampleMetadata

          public void outputPendingSampleMetadata​(TrackOutput trackOutput,
                                                  @Nullable
                                                  TrackOutput.CryptoData cryptoData)